#
View Source Ash.Resource.Calculation (ash v2.4.22)

Represents a named calculation on a resource

# Link to this section Summary

## Types

ref()
t()

## Functions

expr_calc(expr)
schema()

# Link to this section Types

Link to this type

# ref()

View Source

    @type ref() :: {module(), Keyword.t()} | module()

Link to this type

# t()

View Source

    @type t() :: %Ash.Resource.Calculation{
      allow_async?: term(),
      allow_nil?: boolean(),
      arguments: [any()],
      calculation: {:ok, {atom(), any()}} | {:error, String.t()},
      constraints: term(),
      description: String.t() | nil,
      filterable?: term(),
      load: term(),
      name: atom(),
      private?: boolean(),
      select: term(),
      type: term()
    }

# Link to this section Functions

Link to this function

# expr_calc(expr)

View Source
Link to this function

# schema()

View Source